Subject: Re: 1.3.2: setsid() vs. signals
From: Kazuhiro Fujieda <[email-masked]>
To: Martin Muenstermann <[email-masked]>
Cc: [email-masked]
Date: 05 Sep 2001 10:51:02 +0900

>>> On Tue, 04 Sep 2001 13:34:11 +0200
>>> Martin Muenstermann <[email-masked]> said:

> I have not found anything about this problem on the mailing list so I am
> sending this report:
> 
> Running cygwin 1.3.2 on WinNT 4.0 SP 4 I have the following problem:
> 
> My app does a fork and daemonizes itself by calling setsid(). When I
> press Ctrl-C in the shell where I started the app, the application
> receives a SIGINT. 
> IMHO, after calling setsid() a app should not receive any signals from
> the shell any longer (at least this is the case on solaris).

This is a bug in Cygwin DLL 1.3.2 and also in the latest snapshot.
I will fix it in the next release.
____
  | AIST      Kazuhiro Fujieda <[email-masked]>
  | HOKURIKU  Center for Information Science
o_/ 1990      Japan Advanced Institute of Science and Technology

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/